BrlAPI 0.8

Data Fields
brlapi_param_properties_t Struct Reference

`#include <brlapi_param.h>`

## Data Fields
brlapi_param_type_t | type
uint16_t | count
uint8_t | isArray
uint8_t | hasSubparam

## Detailed Description

Structure that describes the properties of a parameter

## Field Documentation

## ◆ count

uint16_t brlapi_param_properties_t::count

Number of elements in the parameter's value

## ◆ hasSubparam

uint8_t brlapi_param_properties_t::hasSubparam

Parameter uses the subparam argument

## ◆ isArray

uint8_t brlapi_param_properties_t::isArray

Whether the parameter contains several values, or always only one

## ◆ type

brlapi_param_type_t brlapi_param_properties_t::type

Type of the parameter's value

The documentation for this struct was generated from the following file:

- brlapi_param.h